## org.exist.storage
Interface UpdateListener

All Known Implementing Classes:
  XACMLUtil

public interface UpdateListener

Field Summary
`static int` `ADD` Notification type: a document was added to a collection
`static int` `REMOVE` Notification type: a document was removed
`static int` `UPDATE` Notification type: a document has been updated

Method Summary
`void` `debug()`
`void` `documentUpdated(DocumentImpl document, int event)` Called whenever a document is updated within the database.

Field Detail

### ADD

    public static final int ADD

  Notification type: a document was added to a collection

  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  Notification type: a document has been updated

  See Also:
    Constant Field Values

### REMOVE

    public static final int REMOVE

  Notification type: a document was removed

  See Also:
    Constant Field Values

Method Detail

### documentUpdated

    public void documentUpdated(DocumentImpl document,
                                int event)

  Called whenever a document is updated within the database. Parameter event specifies the event type, i.e. one of `ADD`, `UPDATE` or `REMOVE`.

  Parameters:
    `document` -
    `event` -

### debug

    public void debug()

Copyright (C) Wolfgang Meier. All rights reserved.